Bug 878750

Summary: [es_ES][it_IT][SAM Web GUI] - Mouse over and Click tool causing overlap with the other contents
Product: Subscription Asset Manager Reporter: Satyabrata Maitra <smaitra>
Component: katelloAssignee: Adam Price <adprice>
Status: CLOSED ERRATA QA Contact: sthirugn <sthirugn>
Severity: high Docs Contact:
Priority: high    
Version: 1.2CC: bkearney, eng-i18n-bugs, hpeters, omaciel, qe-i18n-bugs, smaitra, sthirugn, tomckay
Target Milestone: rcKeywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Adjustments were made in the web UI to handle locales in which the translated strings were longer than expected.
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-21 14:20:08 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 816564    
Attachments:
Description Flags
Screen shot for the overlapping contents upon mouse over or Click action.
none
it_IT overlapping on new activation key level none

Description Satyabrata Maitra 2012-11-21 01:43:06 EST
Created attachment 649076 [details]
Screen shot for the overlapping contents upon mouse over or Click action.

Description of problem:
In es_ES locale (Spanish), in the Activation Key page, if user mouse over or try to Click on "New Activation Key" Link provided, that causing a overlap with the content of a level just beside it. Until user does not mouse over or Click on it, this looks ok, although leaving a little or no space between the level content and the link (Still ok). There are two way we can fix it. One is to shorten the translated string of the level content. The second is to minimize the area that will be selected, in case of mouse over or click on the link.
Screen shot attached for the reference. with this bug.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
Always

Steps to Reproduce:
1. Login in SAM Web GUI page.
2. Switch the preferred locale to es (Spanish)
3. On the Home page, click on Contents tab.
4. Navigate the "Subscription" Link with mouse over upper-left side of the page.
5. Select the "Activation Key" Link from the drop-down menu appears with mouse 
   over.
6. Now you see, on the lefter side of the page, there is a level "Llaves de 
   activaciĆ³n" and one link "+ Nueva llave"
7. Just mouse over, or try to click on the link.
8. Observe the result of overlapping.

Actual results:
There is some overlapping happening.

Expected results:
None of the contents, buttons, levels, links, selection tool should overlap with the other.

Additional info: 
All the translation(l10n) bug related issues for es_ES locale for SAM Web GUI is being reported to the bug : https://bugzilla.redhat.com/show_bug.cgi?id=878377
In case devel goes for the translation fix or modification in translation to fix this bug, LM can switch to the bug #878377 to fix this issue as well.
But I would prefer to fix it from the devel end with minimizing the mouse over selection area that is currently set. Or make it dynamic with locale to locale according to the length of the same string.
Comment 1 Satyabrata Maitra 2012-11-28 06:18:01 EST
The same happening for it_IT locale as well. Screen shot attached.
Comment 2 Satyabrata Maitra 2012-11-28 06:20:06 EST
Created attachment 653430 [details]
it_IT overlapping on new activation key level
Comment 4 Satyabrata Maitra 2012-12-05 06:04:15 EST
Hi Adam
Thanks. We will test the fix on schedule, once the new package is build and available for QA.
Comment 5 Tom McKay 2012-12-10 09:43:10 EST
0fef6023875813c0c31be96dc8e27e0dd285a7f7
Comment 6 Hedda Peters 2012-12-12 23:00:30 EST
Same issue found for de-DE, testing Subscription Asset Manager Version: 1.2.6-6h.el6_3  during L10N QE event
Comment 7 Og Maciel 2013-01-07 16:42:54 EST
Seems that the fix never made into the final code.

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 9 sthirugn@redhat.com 2013-01-16 16:27:44 EST
Tested in the version below and worked fine.(Overlaps does not happen anymore)

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-12h.el6_3.noarch
* katello-cli-common-1.2.1-12h.el6_3.noarch
* katello-common-1.2.1-14h.el6_3.noarch
* katello-configure-1.2.3-2h.el6_3.noarch
* katello-glue-candlepin-1.2.1-14h.el6_3.noarch
* katello-headpin-1.2.1-14h.el6_3.noarch
* katello-headpin-all-1.2.1-14h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 11 errata-xmlrpc 2013-02-21 14:20:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html